ObexFTP 0.24.2 (released 2016-04-07)
------------------------------------

	* obexfs: Parse XML data with Expat library
	* obexfs: Properly encode XML special characters
	* obexfs: New option -r to specify root path
	* obexfs: New option -S to simulate free space
	* Fix probing
	* Add support for Gigaset devices
	* CMake improvements


ObexFTP 0.24.1 (released 2014-02-03)
------------------------------------

	* Fix build system bugs
	* Replace CRC implementation in libbfb

ObexFTP 0.24 (released 2013-03-05)
----------------------------------

	* Maintainer changed from Christian to Hendrik
	* change build system to using CMake
	* integrate obexfs-0.12
	* fix build for OpenOBEX-1.7


ObexFTP 0.23 (released 2009-02-17)
----------------------------------

	* allow win32 to use hci src names
	* adding a simpler connect wrapper
	* show OBEX_HandleInput errors
	* catch errors and let the user know
	* print timeout stats if available
	* sdp unregister more verbose
	* upgrading btkit
	* fix for win32 without bt
	* replacing deprecated automake vars
	* sizeof() fixes
	* removing bdaddr_t reference from obexftpd.c
	* adding bootstrap helper
	* concurrency bug in extconf.rb generated Makefile (fix by Alin Năstac)
	* switching from POD to asciidoc
	* clearing gnu-style implicit rules


ObexFTP 0.22 (released 2008-06-15)
----------------------------------

	* added proper unicode support
	* added support for transparent OBEX-over-AT mode
	* rewritten at-command function
	* added specific error messages
	* refactored to flexible bt_kit layer
	* fixed cache root duplicates
	* fixed off-by-one and unfreed mem in cache layer
	* added pkg-config file
	* added example code
	* switched to doxygen
	* added python binding callbacks 
	* portable packed structs 
	* enabled linux hci dev names for source selection
	* Python binding uses distutils now, tested by Adam Williamson
	* removed exit from bt discovery
	* Better autodetection for possible language bindings
	* reworked win32 support
	* Motorola SLVR L2 cobex fix by Andrey Rahmatullin
	* now using AC_HELP_STRING for compat with autoconf <=2.57
	* added hci selection support, drafted by Manuel Naranjo
	* switched obexftp cli to new discovery api 
	* prefer PCSUITE over FTP, req. by Martin Storsjö for Series 60 2nd Ed.
	* fixed compile error with >=swig-1.3.28
	* renamed sdp browse function
	* fixed month/day swapping in atotime, spotted by Dr. Johannes Zellner
	* added BFC compatibility for newer Siemens phones
	* added PCSOFTWARE uuid support for SHARP phones
	* added motorola support
	* end bfb mode properly
	* added CPROT=0 support from 3GPP 27.007 
	* fixed ericsson init
	* fixed invalid conn_id in disconnect rep. by Alan J. McFarlane
	* better create flag handling in setpath
	* Changed LDADD to LIBADD sug. by Sergey Vlasov <vsu@altlinux.ru>
	* obexftpd clean up by Hendrik Sattler
	* 64-bit fixes by Hendrik Sattler
	* Removed all (dangerous) obex_headerdata_t casts
	* Reorganized all swig-dependant Makefiles
	* Applied cobex write patch from Simon Ruggier <Simon80@gmail.com>
	* Applied   from Frode Isaksen <fisaksen@bewan.com>


ObexFTP 0.21 (released 2006-06-27)
----------------------------------

2006-05-26  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixes to obexftpd suggested by Hendrik Sattler

2006-05-24  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added ruby binding
	* Added preliminary discovery function


ObexFTP 0.20 (released 2006-05-16)
----------------------------------

2006-05-16  Christian W. Zuckschwerdt  <zany@triq.net>

	* Change __S_IFDIR to S_IFDIR with fallback sug. by Alex Kanavin
	* Added old CLI switches and documentation sug. by Hendrik Sattler

2006-04-26  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixed the -g CLI switch (bug reported by many people)

2006-03-08  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added obexfsd written by Alan Zhang <vibra@tom.com>
	* Fixed iconv (found by Stanislav Nikolov)

2006-03-07  Christian W. Zuckschwerdt  <zany@triq.net>

	* device/channel code cleanup


ObexFTP 0.19 (released 2006-02-08)
----------------------------------

2006-02-08  Christian W. Zuckschwerdt  <zany@triq.net>

	* Updated for OpenOBEX 1.1 (pkg-config)

2006-01-26  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added --output switch by Daniel Burr/Andrzej Szombierski.

2006-01-21  Christian W. Zuckschwerdt  <zany@triq.net>

	* Simplified the swig/perl/Makefile.am.


ObexFTP 0.18 (released 2006-01-18)
----------------------------------

2006-01-11  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixed a pointer typo and a free() typo.

2005-12-12  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added perl, python and tcl binding with swig.

2005-09-15  Christian W. Zuckschwerdt  <zany@triq.net>

	* Quick iconv hack. Needs to be done in openobex.

2005-09-14  Christian W. Zuckschwerdt  <zany@triq.net>

	* Rewrote folder-listing parser to enhance compatibility

2005-09-12  Christian W. Zuckschwerdt  <zany@triq.net>

	* Connection headers by Philip Kovacs <kovacsp3@comcast.net>

2005-08-06  Christian W. Zuckschwerdt  <zany@triq.net>

	* Nokia hack (suppressing FBS)
	* Capabilty retrieving by Marco Canini <marco.canini@fastwebnet.it>

2005-06-27  Christian W. Zuckschwerdt  <zany@triq.net>

	* USB support, mainly by Daniel Burr <joaniemrc@dodo.com.au>

2005-06-19  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added implicit setpath support in every function.

2005-06-11  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixed quoting problem. Lets hope this wont break libtool.

2005-06-10  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added simple caching
	* Removed recursive put. Apps should implement it themselves.

2005-06-09  Christian W. Zuckschwerdt  <zany@triq.net>

	* New configure flag to enable building docs (disabled by default now)

2005-03-23  Christian W. Zuckschwerdt  <zany@triq.net>

	* Security fix suggested by Kevin Finisterre <kf@digitalmunition.com>

2005-03-21  Christian W. Zuckschwerdt  <zany@triq.net>

	* GCC 2.96 compat fixes by Paul Boddie <paul@boddie.org.uk>

2005-01-15  Christian W. Zuckschwerdt  <zany@triq.net>

	* Documentation updated by Hendrik Sattler <debian@hendrik-sattler.de>

2005-01-10  Christian W. Zuckschwerdt  <zany@triq.net>

	* Typo fix to setpath by Olivier Berger <oberger@ouvaton.org>
	* Removed some BT ifdefs by Hendrik Sattler
	* Use VERSION macro suggested by Andrej Kacian


ObexFTP 0.17 (released 2004-12-17)
----------------------------------

2004-12-17  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added sdp lib checks, reported by George Styles and Johan Debal

2004-12-12  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixed do_at_cmd, reported by Donald Burns <dmb@reliance.co.uk>

2004-11-21  Christian W. Zuckschwerdt  <zany@triq.net>

	* Bluetooth device and channel auto-discovery


ObexFTP 0.16 (released 2004-11-23)
----------------------------------

2004-11-20  Christian W. Zuckschwerdt  <zany@triq.net>

	* FreeBSD patch by Bruce Simpson <bms@spc.org>

2004-11-19  Christian W. Zuckschwerdt  <zany@triq.net>

	* Bug fixes (for Sony-Ericsson) by David Haslam <dhaslam@ntlworld.com>


ObexFTP 0.15 (released 2004-11-13)
----------------------------------

2004-11-12  Christian W. Zuckschwerdt  <zany@triq.net>

	* Don't send S45 UUID first (broke other phones too, sorry S45 users)

2004-11-10  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixed linebreaks in contributed backup script.


ObexFTP 0.14 (released 2004-09-26)
----------------------------------

2004-09-26  Christian W. Zuckschwerdt  <zany@triq.net>

	* Moved vmo converter into a seperate package

2004-09-05  Christian W. Zuckschwerdt  <zany@triq.net>

	* Serial-USB converter fix, Gerhard Reithofer

2004-08-10  Christian W. Zuckschwerdt  <zany@triq.net>

	* Uploads discard path info now.

2004-07-25  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added support for Sony-Ericsson phones, debian Bug#261328

2004-06-11  Christian W. Zuckschwerdt  <zany@triq.net>

	* Version option added

2004-03-05  Christian W. Zuckschwerdt  <zany@triq.net>

	* NetBSD portability patch by Soren S. Jorvang <soren@wheel.dk>

2004-02-04  Christian W. Zuckschwerdt  <zany@triq.net>

	* Skip transports not linked, François Fleuret <francois.fleuret@inria.fr>

2004-01-30  Christian W. Zuckschwerdt  <zany@triq.net>

	* IrCOMM 1-line show stopper fixed by Stefan Behnel <Stefan@Behnel.de>

2003-12-28  Christian W. Zuckschwerdt  <zany@triq.net>

	* setpath patch for T610 by Adam Goode <adam@evdebs.org>

2003-10-22  Christian W. Zuckschwerdt  <zany@triq.net>

	* bfb_write_packets patch by Jorge Ventura <jorge.ventura@varig.com>
	* connection setup fixes (cobex)

2003-10-01  Christian W. Zuckschwerdt  <zany@triq.net>

	* Bluetooth support

2003-09-24  Christian W. Zuckschwerdt  <zany@triq.net>

	* Ericsson phones are now working with the unified cobex.
	* removed the automatic directory parsing, please just the -c switch.
	* Shuffled the option names for obexftp to counter missunderstandings.

2003-07-18  Christian W. Zuckschwerdt  <zany@triq.net>

	* fixed a Makefile bug reported by Carwyn Edwards


ObexFTP 0.13 (released 2003-04-11)
----------------------------------

2003-04-11  Christian W. Zuckschwerdt  <zany@triq.net>

	* all but data output goes to stderr now (suggested by Heiko)
	* The environment variable OBEXFTP_PORT is used as a default.


ObexFTP 0.12 (released 2003-02-17)
----------------------------------

2003-02-17  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added vmo converters (suggested by Dmitry Zakharov)

2003-02-11  Christian W. Zuckschwerdt  <zany@triq.net>

	* Added UUID fallback for C55 (suggested by Hristo Todorov)


ObexFTP 0.11 (released 2003-01-26)
----------------------------------

2003-01-26  Christian W. Zuckschwerdt  <zany@triq.net>

	* Unified BFB and PE;

2003-01-19  Christian W. Zuckschwerdt  <zany@triq.net>

	* C++ compatible header files (suggested Carsten Pfeiffer)


ObexFTP 0.10 (released 2003-01-10)
----------------------------------

2003-01-09  Christian W. Zuckschwerdt  <zany@triq.net>

	* Big file transmission problem solved

2002-11-22  Christian W. Zuckschwerdt  <zany@triq.net>

	* Jan Metz <metz@jamecs.de> supplied me with his RH8 box and
	  some SL45i connected to it. Finally S45(i) is working.

2002-11-19  Christian W. Zuckschwerdt  <zany@triq.net>

	* this is the last release to support OpenOBEX 0.9.8

2002-11-14  Christian W. Zuckschwerdt  <zany@triq.net>

	* Removed glib dependancy
	* win32 target is working (tested with mingw)

2002-10-17  Christian W. Zuckschwerdt  <zany@triq.net>

	* Removed Siemens references in favor of OBEX enabled devices
	* Enhancements for upcoming OpenOBEX 1.0.0

2002-04-29  Christian W. Zuckschwerdt  <zany@triq.net>

	* Erricsson T39m support, req. by Ole Streicher <ole.streicher@gmx.de>

2002-03-04  Christian W. Zuckschwerdt  <zany@triq.net>

	* Try harder to connect. IRDA needs patience.
	* Wrote a man page. Should really be a docbook refentry.


ObexFTP 0.9 (released 2002-02-18)
---------------------------------


ObexFTP 0.8 (released 2002-02-14)
---------------------------------


ObexFTP 0.7 (released 2002-02-13)
---------------------------------


ObexFTP 0.6 (released 2002-02-12)
---------------------------------


ObexFTP 0.5 (released 2002-02-11)
---------------------------------

2002-02-11  Christian W. Zuckschwerdt  <zany@triq.net>

	* cobex now capable of asynch operation


ObexFTP 0.4 (released 2002-02-09)
---------------------------------

2002-02-09  Christian W. Zuckschwerdt  <zany@triq.net>

	* Rewrote main using getopt.


ObexFTP 0.3 (released 2002-02-08)
---------------------------------

2002-02-08  Christian W. Zuckschwerdt  <zany@triq.net>

	* Fixed BFB protocol (Code 0x01 is ACK not PREPARE...).

2002-02-07  Christian W. Zuckschwerdt  <zany@triq.net>

	* Implemented BFB protocol.


ObexFTP 0.2 (released 2002-01-19)
---------------------------------

2002-01-19  Christian W. Zuckschwerdt  <zany@triq.net>

	* Implemented delete and rename.


ObexFTP 0.1 (released 2002-01-18)
---------------------------------

2002-01-18  Christian W. Zuckschwerdt  <zany@triq.net>

	* Initial beta.
	* It's work in progress so expect errors and report/fix then!

